<?php

namespace FernleafSystems\Wordpress\Services\Utilities\Integrations\WpHashes\Malware;

use FernleafSystems\Wordpress\Services\Utilities\Integrations\WpHashes;

abstract class Base extends WpHashes\ApiBase {

	const API_ENDPOINT = 'malware/';
	const RESPONSE_DATA_KEY = 'hashes';

	/**
	 * @return array[]|null
	 */
	public function query() {
		return parent::query();
	}

	/**
	 * @return RequestVO
	 */
	protected function newReqVO() {
		return new RequestVO();
	}
}